Bug 134339 - Add option to specify output file location in sunspider.
Summary: Add option to specify output file location in sunspider.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-26 00:03 PDT by Gergő Balogh
Modified: 2014-07-08 02:25 PDT (History)
13 users (show)

See Also:


Attachments
patch (3.93 KB, patch)
2014-06-26 00:09 PDT, Gergő Balogh
ossy: review-
ossy: commit-queue-
Details | Formatted Diff | Diff
patch fix (3.94 KB, patch)
2014-07-03 04:41 PDT, Gergő Balogh
no flags Details | Formatted Diff | Diff
patch for landing (4.23 KB, patch)
2014-07-08 00:33 PDT, Gergő Balogh
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2 (526.29 KB, application/zip)
2014-07-08 01:38 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gergő Balogh 2014-06-26 00:03:35 PDT
There is not any way to specify the output path for sunspider scripts, without changing these scripts.
Comment 1 Gergő Balogh 2014-06-26 00:09:59 PDT
Created attachment 233889 [details]
patch
Comment 2 Csaba Osztrogonác 2014-06-30 01:33:23 PDT
Comment on attachment 233889 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=233889&action=review

The base idea is good, but r- now due to some minor issue.

> PerformanceTests/SunSpider/sunspider:45
> +my $outputPath = "";

We don't need this extra variable, we can use this one:
my $resultsFile = "";

> PerformanceTests/SunSpider/sunspider:61
> +  --output-path     If given set the output file and its path.

I prefer --output.

> PerformanceTests/SunSpider/sunspider:75
> +           'output-path=s' => \$outputPath,

'output=s' => \$resultsFile,

> PerformanceTests/SunSpider/sunspider:131
>  my $resultsFile = "$resultDirectory/sunspider-results-$timeString.js";
> +if ($outputPath) {
> +  $resultsFile = $outputPath;
> +}

You can do it in one line:
$resultsFile = "$resultDirectory/sunspider-results-$timeString.js" unless $resultsFile;

> Tools/Scripts/run-sunspider:65
> +  --output-path     If given set the output file and its path.

Simple --output would be better name, and the comment like "Override the default output path and filename"
Comment 3 Gergő Balogh 2014-07-03 04:41:06 PDT
Created attachment 234332 [details]
patch fix
Comment 4 WebKit Commit Bot 2014-07-03 10:37:02 PDT
Comment on attachment 234332 [details]
patch fix

Rejecting attachment 234332 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 234332, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
/sunspider
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/Scripts/run-sunspider
Hunk #1 succeeded at 46 with fuzz 2.
Hunk #2 succeeded at 64 (offset 2 lines).
Hunk #3 succeeded at 78 (offset 3 lines).
Hunk #4 FAILED at 128.
1 out of 4 hunks FAILED -- saving rejects to file Tools/Scripts/run-sunspider.rej

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Darin Adler']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/4924038950420480
Comment 5 Gergő Balogh 2014-07-08 00:33:18 PDT
Created attachment 234552 [details]
patch for landing
Comment 6 Build Bot 2014-07-08 01:38:53 PDT
Comment on attachment 234552 [details]
patch for landing

Attachment 234552 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6062567940161536

New failing tests:
media/media-fragments/TC0001.html
Comment 7 Build Bot 2014-07-08 01:38:57 PDT
Created attachment 234553 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 8 WebKit Commit Bot 2014-07-08 02:24:55 PDT
Comment on attachment 234552 [details]
patch for landing

Clearing flags on attachment: 234552

Committed r170881: <http://trac.webkit.org/changeset/170881>
Comment 9 WebKit Commit Bot 2014-07-08 02:25:00 PDT
All reviewed patches have been landed.  Closing bug.